=== requirements.txt ===
# Database Drivers
#mysql-python
#psycopg2 # not pypy compatible
#psycopg2cffi # pypy2+ compatible

# DjangoGEO
geopy

# 3rd party libraries
# jsonfield>=2.1.1
django-json-field
django-polymorphic
