=== debian/changelog ===
python-django-dynamic-fixture (4.0.1-1ubuntu1) questing; urgency=medium

  * Add Django 5 support
    - d/p/add-USE_TZ-to-ddf-settings.patch: Enforce timezone awareness in ddf
      settings.
    - d/p/use-django-tz-now-for-test.patch: Use django timezone version of now
      as reference for unit test.

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 14 Aug 2025 13:45:25 -0400

python-django-dynamic-fixture (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1

 -- Michael Fladischer <fladi@debian.org>  Mon, 25 Sep 2023 10:02:15 +0000

python-django-dynamic-fixture (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Drop patch to remove nose plugins, upstream dropped nose integration.
  * New name for README.md.

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Sep 2023 10:35:50 +0000

python-django-dynamic-fixture (3.1.2-1) unstable; urgency=low

  * Initial release (Closes: #1050041).

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Aug 2023 07:14:47 +0000
