=== debian/control ===
Source: python-django-dynamic-fixture
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django,
 python3-django-polymorphic,
 python3-gdal,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.2
Homepage: https://github.com/paulocheque/django-dynamic-fixture
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-dynamic-fixture
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-dynamic-fixture.git
Rules-Requires-Root: no

Package: python-django-dynamic-fixture-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: create dynamic model instances for testing purposes (Documentation)
 Django Dynamic Fixture (DDF) is a complete and simple library to create dynamic
 model instances for testing purposes.
 .
 It lets you focus on your tests, instead of focusing on generating some dummy
 data which is boring and pollutes the test source code.
 .
 It exists to solve the anti-pattern of Static Fixtures and Factory objects.
 .
 Features:
  * Highly customizable: you can customize fields recursively
  * Deals with unique=True
  * Deals with cyclic dependencies (including self references)
  * Deals with many to many relationship (common M2M or M2M with additional
    data, i.e. through=’table’)
  * Deals with custom fields (especially if the custom field inherits from a
    django field)
  * Support for parallel tests
  * Deals with auto calculated attributes
  * It is easy to debug errors
 .
 This package contains the documentation.

Package: python3-django-dynamic-fixture
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-dynamic-fixture-doc,
Description: create dynamic model instances for testing purposes (Python3 version)
 Django Dynamic Fixture (DDF) is a complete and simple library to create dynamic
 model instances for testing purposes.
 .
 It lets you focus on your tests, instead of focusing on generating some dummy
 data which is boring and pollutes the test source code.
 .
 It exists to solve the anti-pattern of Static Fixtures and Factory objects.
 .
 Features:
  * Highly customizable: you can customize fields recursively
  * Deals with unique=True
  * Deals with cyclic dependencies (including self references)
  * Deals with many to many relationship (common M2M or M2M with additional
    data, i.e. through=’table’)
  * Deals with custom fields (especially if the custom field inherits from a
    django field)
  * Support for parallel tests
  * Deals with auto calculated attributes
  * It is easy to debug errors
 .
 This package contains the Python 3 version of the library.
