=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-dynamic-fixture
export PYBUILD_TEST_ARGS=--import-mode=importlib

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs/source $(CURDIR)/debian/python-django-dynamic-fixture-doc/usr/share/doc/python-django-dynamic-fixture-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build
